import { ElementRef, EventEmitter, OnInit } from '@angular/core';
export declare class Alert implements OnInit {
    type: 'success' | 'info' | 'warning' | 'error';
    closable: boolean;
    closeText: string;
    message: string;
    description: string;
    showIcon: boolean;
    banner: boolean;
    onClose: EventEmitter<MouseEvent>;
    animateEle: ElementRef;
    closing: boolean;
    closed: boolean;
    alertClass: {};
    iconType: string;
    prefixCls: string;
    handleClose(e: MouseEvent): void;
    private render();
    ngOnInit(): void;
}
