var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ViewEncapsulation, Input } from '@angular/core';
import { BooleanFieldValue } from '../../utils';
var Icon = (function () {
    function Icon() {
        this.iconClass = {};
    }
    Icon.prototype.render = function () {
        this.iconClass = (_a = {
                anticon: true,
                'anticon-spin': !!this.spin || this.type === 'loading'
            },
            _a["anticon-" + this.type] = true,
            _a);
        var _a;
    };
    Icon.prototype.ngOnInit = function () {
        this.render();
    };
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], Icon.prototype, "type", void 0);
    __decorate([
        Input(), BooleanFieldValue(),
        __metadata("design:type", Boolean)
    ], Icon.prototype, "spin", void 0);
    Icon = __decorate([
        Component({
            selector: 'Icon',
            encapsulation: ViewEncapsulation.None,
            template: '<i [ngClass]="iconClass"></i>',
            styleUrls: [
                './style.less'
            ]
        })
    ], Icon);
    return Icon;
}());
export { Icon };
//# sourceMappingURL=component.js.map