import {
  NgModule,
  ModuleWithProviders
} from '@angular/core'
import { CommonModule } from '@angular/common'
import { IconModule } from '../icon'
import { Alert } from './component'

@NgModule({
  declarations: [
    Alert
  ],
  imports: [
    CommonModule,
    IconModule
  ],
  exports: [
    CommonModule,
    Alert
  ]
})
export class AlertModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: AlertModule
    }
  }
}
