import {
  NgModule,
  ModuleWithProviders
} from '@angular/core'
import { CommonModule } from '@angular/common'
import { Icon } from './component'

@NgModule({
  declarations: [
    Icon
  ],
  imports: [
    CommonModule
  ],
  exports: [
    CommonModule,
    Icon
  ]
})
export class IconModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: IconModule
    }
  }
}
