import {
  NgModule,
  ModuleWithProviders
} from '@angular/core'

import { AlertModule } from './components/alert'
import { IconModule } from './components/icon'

@NgModule({
  declarations: [
  ],
  imports: [
    AlertModule,
    IconModule
  ],
  exports: [
    AlertModule,
    IconModule
  ]
})
export class AntModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: AntModule,
      providers: []
    }
  }
}
